Collections
Collect payment
Initiate a payment collection through M-Pesa or PesaLink.
POST
/
payment
/
collection
Collect payment
curl --request POST \
--url https://sandbox.kulmipay.com/api/v1/payment/collection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "KES",
"amount": "1500.00",
"api_ref": "<string>",
"phone_number": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"public_key": "<string>",
"wallet_id": "<string>"
}
'import requests
url = "https://sandbox.kulmipay.com/api/v1/payment/collection"
payload = {
"currency": "KES",
"amount": "1500.00",
"api_ref": "<string>",
"phone_number": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"public_key": "<string>",
"wallet_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'KES',
amount: '1500.00',
api_ref: '<string>',
phone_number: '<string>',
email: '<string>',
first_name: '<string>',
last_name: '<string>',
public_key: '<string>',
wallet_id: '<string>'
})
};
fetch('https://sandbox.kulmipay.com/api/v1/payment/collection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {},
"signature": "<string>"
}Authorizations
Use your KulmiPay secret key as the Bearer token.
Body
application/json
Available options:
M-PESA, PESALINK Example:
"KES"
Example:
"1500.00"
Available options:
BUSINESS-PAYS, CUSTOMER-PAYS Available options:
BUSINESS-PAYS, CUSTOMER-PAYS ⌘I
Collect payment
